rm(list=ls())# wipes slate clean
library(dplyr)
library(ggplot2)
library(coin)
library(MASS)
library(foreign)
library(Hmisc)
library(reshape2)
library(mgcv)
library(lme4)
library(lmerTest)
library(gridExtra)

setwd("C:\Users\Ragenaky\Desktop\Thesis Chapter 2\Analysis Info")


# Useful functions later on....

#Calculate a standard error
stderr <- function(x) sd(x) / sqrt(length(x))

# Multiple plot function

### Install this When you start for Multiplots!!!#####
#
# ggplot objects can be passed in ..., or to plotlist (as a list of ggplot objects)
# - cols:   Number of columns in layout
# - layout: A matrix specifying the layout. If present, 'cols' is ignored.
#
# If the layout is something like matrix(c(1,2,3,3), nrow=2, byrow=TRUE),
# then plot 1 will go in the upper left, 2 will go in the upper right, and
# 3 will go all the way across the bottom.
#
multiplot <- function(..., plotlist=NULL, file, cols=1, layout=NULL) {
  library(grid)
  
  # Make a list from the ... arguments and plotlist
  plots <- c(list(...), plotlist)
  
  numPlots = length(plots)
  
  # If layout is NULL, then use 'cols' to determine layout
  if (is.null(layout)) {
    # Make the panel
    # ncol: Number of columns of plots
    # nrow: Number of rows needed, calculated from # of cols
    layout <- matrix(seq(1, cols * ceiling(numPlots/cols)),
                     ncol = cols, nrow = ceiling(numPlots/cols))
  }
  
  if (numPlots==1) {
    print(plots[[1]])
    
  } else {
    # Set up the page
    grid.newpage()
    pushViewport(viewport(layout = grid.layout(nrow(layout), ncol(layout))))
    
    # Make each plot, in the correct location
    for (i in 1:numPlots) {
      # Get the i,j matrix positions of the regions that contain this subplot
      matchidx <- as.data.frame(which(layout == i, arr.ind = TRUE))
      
      print(plots[[i]], vp = viewport(layout.pos.row = matchidx$row,
                                      layout.pos.col = matchidx$col))
    }
  }
}




# Read in the data
AD_1<-read.csv("CD_1_With_Score.CSV")


# Density change  v Total Score (Fallow, Cereal years, legume years,Numer of crops).

lm1 <- lm( Change  ~ FL_YR + CR_YR + LM_YR + NC, data = AD_1, )

anova(lm1)
summary(lm1)



